Wednesday, January 23, 2013

How to install Subversion 1.7.8 in Ubuntu 12.10

Quantal (Ubuntu 12.10) repositories contain SVN 1.7.5. You can update to latest SVN (ver. 1.7.8) using a shell script provided by WANdisco [1].

To install this there is a dependency to be resolved - libdb4.8 package, which is not available in Quantal repos. So we need to get it from the Precise (Ubuntu 12.04) repo.

We can either...

1) download the .deb from [2] and install,
2) or rename "quantal" in /etc/apt/sources.list with "precise" and run an apt-get update.

I did #2 (which is probably the long route to do this) because it will resolve any other dependency script might have, which is intended for Precise. Otherwise we have to download the .debs of those dependencies as well.

Finally, run the script downloaded from WANdisco. Done! :)

 Ref:
[1] http://www.wandisco.com/subversion/download#ubuntu_precise
[2] http://www.ubuntuupdates.org/package/core/precise/main/base/libdb4.8

1 comment:

Anonymous said...

Thanks a lot.. this help me again with Ubuntu 13.04